
PENGADIAN EMAS - Bug #16562

Android[EMAS][ADD FAVORITE] Do Not Have Gold Favorite Account But Not Able to Add Via Add

Favorite

26 May 2023 09:57 AM - yap chekying

Status: Closed Start date: 26 May 2023

Priority: Normal Due date:  

Assignee: yap chekying % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:  Spent time: 0.00 hour

Description

Steps:

1. Login to M2U app

2. Navigate to burger menu

3. Tap on "Add Favorit"

4. Swipe to Purchase tab

6. Tap on "+" icon

7. Select "Emas Pegadaian"

Username: uatemas110

Password: Mbi123456

History

#1 - 26 May 2023 11:29 AM - yap chekying

- Assignee changed from Hao Ter Tai to Fajar Shajid

#2 - 26 May 2023 07:15 PM - Fajar Shajid

- File ss-DashboardActivity.jpg added

- File ss-LogWhenClickEmasPegadaian.jpg added

- File ss-MethodCheckEmasHasFav.jpg added

yap chekying wrote:

Steps:

1. Login to M2U app

2. Navigate to burger menu

3. Tap on "Add Favorit"

4. Swipe to Purchase tab

6. Tap on "+" icon

7. Select "Emas Pegadaian"

Username: uatemas110

Password: Mbi123456

 

###################################################################

I have checked the code for adding gold favorites. But I'm having trouble because I can't see the complete code. In the picture I sent:

1. The process calls the openEmasAddFav method in the DashboardActivity.java file line 693 which calls EmasInterface.Java line 330. It can be seen

that emasHasFav (boolean) is set to false

2. I made a log to see the detailed response to point 1. I got emasHasFav set to true. Then I checked whether the openEmasAddFav method was

called from another code. It didn't exist, it was only called on DashboardActivity.java line 693.

3. Is the entire SS code openEmasAddFav

19 April 2025 1/2



#3 - 31 May 2023 09:44 AM - Hao Ter Tai

- Assignee changed from Fajar Shajid to yap chekying

https://install.appcenter.ms/orgs/maybankdigitalteam/apps/android-m2u-id-v2.0/distribution_groups/uat/releases/1546

try this package from Ferial

#4 - 09 February 2024 12:30 PM - yap chekying

- Status changed from New to Closed

Files

WhatsApp Video 2023-05-25 at 10.48.31 PM.mp4 1.31 MB 26 May 2023 yap chekying

WhatsApp Image 2023-05-25 at 10.50.10 PM.jpeg 93.2 KB 26 May 2023 yap chekying

ss-DashboardActivity.jpg 11 KB 26 May 2023 Fajar Shajid

ss-LogWhenClickEmasPegadaian.jpg 13.8 KB 26 May 2023 Fajar Shajid

ss-MethodCheckEmasHasFav.jpg 106 KB 26 May 2023 Fajar Shajid
